Package pyplusplus :: Package function_transformers :: Module transformers

# Module transformers

source code

This module contains the standard argument policy objects.

The following policies are available:

- output_t
- input_t
- inout_t
- `input_array_t`
- `output_array_t`
- type_modifier_t

Classes
output_t Handles a single output variable.
type_modifier_t Change/modify type of the argument.
input_t Handles a single input variable.
from_address_t Handles a single input variable.
inout_t Handles a single input/output variable.
input_static_array_t Handles an input array with fixed size.
output_static_array_t Handles an output array of a fixed size.
input_c_buffer_t Handles an input of C buffere:
transfer_ownership_t see http://boost.org/libs/python/doc/v2/faq.html#ownership

Functions

is_ref_or_ptr(type_) | source code

is_ptr_or_array(type_) | source code

remove_ref_or_ptr(type_) | source code